rem *****************************************
rem * SIBPerf start up script               *
rem *                   		    *
rem * Usage: sibperf.bat		    *
rem *                   		    *
rem *****************************************

@echo off
cls
@setlocal

call env.bat

rem Check configuration
rem *************************************
if not exist "%WAS_HOME%" (
  echo ** WAS environment variable has not been set correctly **
  echo.
  echo This variable is set in the 'env.bat' script and should point to the directory
  echo containing your WebSphere Application Server installation.
  echo For example, C:\Program Files\IBM\WebSphere\AppServer.
  goto end
)

if not exist "%SWTJARS%" (
  echo ** SWTJARS environment variable has not been set correctly **
  echo.
  echo This variable is set in the 'env.bat' script and should point to the directory
  echo containing the downloaded SWT libraries.
  goto end
)

if not exist "%SIBPerfDir%" (
  echo ** SIBPerfDir environment variable has not been set correctly **
  echo.
  echo This variable is set in the 'env.bat' script and should point to the directory
  echo containing the 'SIBPerf.jar' file.
  goto end
)
rem *************************************

call "%WAS_HOME%\bin\setupCmdLine.bat"

cd %SIBPerfDir%

set path=%SIBPerfDir%;%WAS_PATH%;%path%;
set extdirs=%SIBPerfDir%;%SWTJARS%;.;%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\java\jre\lib\ext;

rem For tracing you will need to uncomment the line below and edit the trace file: trcSettings.txt
rem set DEBUG=-DtraceSettingsFile=%SIBPerfDir%\trcSettings.txt

@echo on
set
echo.
"%WAS_HOME%\java\jre\bin\java" %DEBUG% "%CLIENTSAS%" "%CLIENTSSL%" "%CLIENTSOAP%" "-Djava.ext.dirs=%extdirs%" com.ibm.ws.sib.tools.perf.Viewer
@echo off

@endlocal

:end
